Page MenuHomeFreeBSD

sysutils/graylog: update to 4.0.1
Needs ReviewPublic

Authored by charles_freebsdbrasil.com.br on Tue, Nov 17, 4:18 PM.

Details

Reviewers
dch

Diff Detail

Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 35065
Build 32040: arc lint + arc unit

Event Timeline

This update broke my server. I rolled back to 3.3.8 and submit a issue to Graylog's Github

EDIT: Now it's working!

  • Added elasticsearch-storage plugins to Graylog 4.0.0

patchwise LGTM, do you think we need to add any messages about updates/compatibility?

I tested this, doing an upgrade from ES5->ES6 and it was all fine.

These notes normally go in /UPDATING for example, or in pkg-message itself - see
https://www.freebsd.org/doc/en/books/porters-handbook/book.html#porting-message

Finally, the license change needs to be addressed:

Beginning with v4.0, Graylog Open Source will be licensed under the Server Side Public
License (SSPL). First introduced by MongoDB, the SSPL license provides similar open
source rights to GPL v3, and additionally extends those rights to cover cloud and SaaS
offerings. For more information about this upcoming license change, see
https://www.graylog.org/post/graylog-v4-0-licensing-sspl.

Which is a big semantic change, that arguably won't actually impact anybody directly
in practice. But adding this to UPDATING or pkg-message is sensible.

See an existing example for databases/mongodb42/Makefile:

# databases/mongodb42/Makefile
# mongodb is SSPLv1, C++ driver is APACHE20
LICENSE=	SSPLv1 APACHE20
LICENSE_NAME_SSPLv1=	Server Side Public License
LICENSE_FILE_SSPLv1=	${WRKSRC}/LICENSE-Community.txt
LICENSE_PERMS_SSPLv1=	dist-mirror dist-sell pkg-mirror pkg-sell auto-accept

At this point we should commit this "as is", like mongo, in the graylog Makefile.
As a second step, we should refactor all the ports with SSPL (mongo & graylog only)
to use a generic SSPL license type to Mk/bsd.licenses.db.mk.

See r445082 for an example.

This revision is now accepted and ready to land.Fri, Nov 20, 10:39 AM
In D27253#609697, @dch wrote:

patchwise LGTM, do you think we need to add any messages about updates/compatibility?

I tested this, doing an upgrade from ES5->ES6 and it was all fine.

Support for Elasticsearch versions prior to v6.8.0 is dropped on Graylog 4.0.0
If ES's version is prior v5 will need a full reindex, because ES6.8.0+ reads indices created by ES5 & ES6, while ES7 reads indices created by ES6 & ES7.

These notes normally go in /UPDATING for example, or in pkg-message itself - see
https://www.freebsd.org/doc/en/books/porters-handbook/book.html#porting-message

Finally, the license change needs to be addressed:

Beginning with v4.0, Graylog Open Source will be licensed under the Server Side Public
License (SSPL). First introduced by MongoDB, the SSPL license provides similar open
source rights to GPL v3, and additionally extends those rights to cover cloud and SaaS
offerings. For more information about this upcoming license change, see
https://www.graylog.org/post/graylog-v4-0-licensing-sspl.

Which is a big semantic change, that arguably won't actually impact anybody directly
in practice. But adding this to UPDATING or pkg-message is sensible.

See an existing example for databases/mongodb42/Makefile:

# databases/mongodb42/Makefile
# mongodb is SSPLv1, C++ driver is APACHE20
LICENSE=	SSPLv1 APACHE20
LICENSE_NAME_SSPLv1=	Server Side Public License
LICENSE_FILE_SSPLv1=	${WRKSRC}/LICENSE-Community.txt
LICENSE_PERMS_SSPLv1=	dist-mirror dist-sell pkg-mirror pkg-sell auto-accept

At this point we should commit this "as is", like mongo, in the graylog Makefile.
As a second step, we should refactor all the ports with SSPL (mongo & graylog only)
to use a generic SSPL license type to Mk/bsd.licenses.db.mk.

See r445082 for an example.

Yes I forgot to address all this change, my bad. Thank you!

New note: Please make sure to create a MongoDB database backup before starting the upgrade to Graylog 4.0!

LDAP and Active Directory configuration changes: All existing LDAP settings will automatically be migrated to the new backend but are disabled by default, you'll need to enable with a admin user.

dch requested changes to this revision.Tue, Nov 24, 6:55 PM

@charles_freebsdbrasil.com.br do you want to add the changes we discussed, or are you waiting on me to do them?

BTW you can update/add to an existing revision: arc diff --base git:HEAD^ --update D27253

This revision now requires changes to proceed.Tue, Nov 24, 6:55 PM
In D27253#610998, @dch wrote:

@charles_freebsdbrasil.com.br do you want to add the changes we discussed, or are you waiting on me to do them?

BTW you can update/add to an existing revision: arc diff --base git:HEAD^ --update D27253

Can you please update about new license? I didn't fully understand this process.

charles_freebsdbrasil.com.br retitled this revision from sysutils/graylog: update to 4.0.0 to sysutils/graylog: update to 4.0.1.Thu, Nov 26, 9:31 PM